/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectResourceApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectResourceApiTests : IDisposable
    {
        private ProjectResourceApi instance;

        public ProjectResourceApiTests()
        {
            instance = new ProjectResourceApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectResourceApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectResourceApi
            //Assert.IsType<ProjectResourceApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdResourcesOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdResourcesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //instance.ApiV2ProjectsProjectIdResourcesOptions(projectId);
        }

        /// <summary>
        /// Test CreateResourceForProject
        /// </summary>
        [Fact]
        public void CreateResourceForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //ResourceForCreationDto? resourceForCreationDto = null;
            //var response = instance.CreateResourceForProject(projectId, resourceForCreationDto);
            //Assert.IsType<ResourceDtoResponse>(response);
        }

        /// <summary>
        /// Test DeleteResourceForProject
        /// </summary>
        [Fact]
        public void DeleteResourceForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //instance.DeleteResourceForProject(projectId, resourceId);
        }

        /// <summary>
        /// Test GetResourceForProject
        /// </summary>
        [Fact]
        public void GetResourceForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //var response = instance.GetResourceForProject(projectId, resourceId);
            //Assert.IsType<ResourceDtoResponse>(response);
        }

        /// <summary>
        /// Test GetResourcesForProject
        /// </summary>
        [Fact]
        public void GetResourcesForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetResourcesForProject(projectId, pageNumber, pageSize, orderBy);
            //Assert.IsType<ResourceDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test UpdateResourceForProject
        /// </summary>
        [Fact]
        public void UpdateResourceForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //ResourceForUpdateDto? resourceForUpdateDto = null;
            //instance.UpdateResourceForProject(projectId, resourceId, resourceForUpdateDto);
        }
    }
}
